Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream.util
Interface XMLEventAllocator

public interface XMLEventAllocator

Method Summary
`XMLEvent` | `allocate(XMLStreamReader reader)`
`void` | `allocate(XMLStreamReader reader, XMLEventConsumer consumer)`
`XMLEventAllocator` | `newInstance()`

Method Detail

### allocate

    public XMLEvent allocate(XMLStreamReader reader)
                      throws XMLStreamException

### allocate

    public void allocate(XMLStreamReader reader,
                         XMLEventConsumer consumer)
                  throws XMLStreamException

### newInstance

    public XMLEventAllocator newInstance()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.